Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 632917 - Review Request: rubygem-shoulda - Making ruby tests easy on the fingers and eyes
Review Request: rubygem-shoulda - Making ruby tests easy on the fingers and eyes
Status: CLOSED DUPLICATE of bug 553908
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: whatweb 632912
  Show dependency treegraph
 
Reported: 2010-09-11 17:48 EDT by Michal Ambroz
Modified: 2010-09-12 14:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-12 06:34:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Ambroz 2010-09-11 17:48:40 EDT
SPEC URL: http://rebus.fedorapeople.org/SPECS/rubygem-shoulda.spec
SRPM URL: http://rebus.fedorapeople.org/SRPMS/rubygem-shoulda-2.11.3-1.fc13.src.rpm

Description:
The Shoulda gem makes it easy to write elegant, understandable, and maintainable Ruby tests. Shoulda consists of test macros, assertions, and helpers added on to the Test::Unit framework. It’s fully compatible with your existing tests, and requires no retooling to use.

Hello,
Please could you review the package rubygem-shoulda?
It is needed for rubygem-robots, which is needed for rubygems-anemone, which is needed for whatweb.

Output from rpmlint:
$ rpmlint rubygem-shoulda-2.11.3-1.fc13.src.rpm rubygem-shoulda-2.11.3-1.fc13.noarch.rpm rubygem-shoulda-doc-2.11.3-1.fc13.noarch.rpm
#Files are really empty in the upstream package
rubygem-shoulda.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/shoulda-2.11.3/test/rails2_root/db/schema.rb
rubygem-shoulda.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/shoulda-2.11.3/test/rails3_root/public/favicon.ico
rubygem-shoulda.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/shoulda-2.11.3/test/fixtures/friendships.yml
rubygem-shoulda.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/shoulda-2.11.3/test/fixtures/products.yml
rubygem-shoulda.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/shoulda-2.11.3/test/fixtures/taggings.yml
rubygem-shoulda.noarch: W: no-manual-page-for-binary convert_to_should_syntax

#Known issue for ruby documentation - urlencoded files contain %
rubygem-shoulda-doc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/shoulda-2.11.3/ri/Shoulda/Helpers/report%21-i.yaml %21
3 packages and 0 specfiles checked; 5 errors, 2 warnings.


Koji F13: http://koji.fedoraproject.org/koji/taskinfo?taskID=2462122
Comment 1 Mamoru TASAKA 2010-09-12 06:34:09 EDT
rubygem-shoulda is already in Fedora.

https://admin.fedoraproject.org/pkgdb/acls/name/rubygem-shoulda
http://koji.fedoraproject.org/koji/packageinfo?packageID=9810

*** This bug has been marked as a duplicate of bug 553908 ***

Note You need to log in before you can comment on or make changes to this bug.